On 16 f=E9v, 22:33, Eric Christopherson <echristopher... / gmail.com>
wrote:
> Is it possible to install RubyTkbindings on Windows with
> RubyInstaller, and on Mac OS X 10.6, without recompiling Ruby? I've
> seen a few sites that explain how to recompile Ruby on each platform
> to useTk, but so far it looks like that's the only way.

There is a project which could make use of Tk with ruby much easier :
    http://github.com/manveru/ffi-tk
It use ffi, so there is no specific binding to compile. You just need
to have the tcl/tk lib available.

  gem install ffi-tk

I'm not sure if this project is already usable, but it could be
**the**
solution for using Tk with Ruby?
It would be great if ffi-tk was afficialy supported by the ruby core.

-- Maurice